> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Movements

> Use this endpoint to retrieve the movements of a bank account.

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /accounts/{id}/movements
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /accounts/{id}/movements:
    get:
      summary: List Movements
      description: Use this endpoint to retrieve the movements of a bank account.
      operationId: movements-list
      parameters:
        - name: id
          in: path
          description: The `id` of the Account that holds the movements you want to list.
          schema:
            type: string
            default: acc_qNDRKQeTpbAKvpnW
          required: true
        - name: link_token
          in: query
          description: >-
            The access token of the `Link` associated to the account, returned
            when creating said `Link`.
          required: true
          schema:
            type: string
            default: link_Q0xVGPvijElLRMwE_token_FhsFVurz5q5FycHA5xxhTpzX
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only movements
            with `post_date` equal or after `since`.
          schema:
            type: string
            format: date
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only movements
            with `post_date` before `until` (exclusive).
          schema:
            type: string
            format: date
        - name: per_page
          in: query
          description: >-
            Amount of movements per page. Defaults to 30. The maximum amount is
            300.
          schema:
            type: string
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
        - name: page
          in: query
          description: The page being retrieved by the endpoint. Starts from 1.
          schema:
            type: integer
            format: int32
        - in: query
          name: confirmed_only
          schema:
            type: boolean
            default: 'true'
          description: >-
            Show only the confirmed movements. Defaults to true. When false, the
            endpoint will show movements that are not only confirmed, but
            pending, reversed and duplicated.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "[\n    {\n        \"id\": \"mov_BO381oEATXonG6bj\",\n\t\t\t  \"object\": \"movement\",\n        \"amount\": -1717,\n        \"post_date\": \"2020-04-06T00:00:00.000Z\",\n        \"description\": \"Cargo Seguro Proteccion Bancaria\",\n        \"transaction_date\": \"2020-04-04T02:19:23.000Z\",\n        \"currency\": \"CLP\",\n        \"type\": \"other\",\n        \"pending\": false,\n        \"recipient_account\": null,\n        \"sender_account\": null,\n        \"comment\": null\n    },\n    {\n        \"id\": \"mov_Z6AwnGn4idL7DPj4\",\n        \"object\": \"movement\",\n        \"amount\": -350000,\n        \"post_date\": \"2020-03-31T00:00:00.000Z\",\n        \"description\": \"Traspaso a:Fintoc Spa\",\n        \"transaction_date\": \"2020-03-30T17:04:16.000Z\",\n        \"currency\": \"CLP\",\n        \"type\": \"transfer\",\n        \"pending\": false,\n        \"recipient_account\": {\n          \"holder_id\": \"634407421\",\n          \"holder_name\": \"Fintoc SpA\",\n          \"number\": \"124018344\",\n          \"institution\": {\n            \"id\": \"cl_banco_santander\",\n            \"name\": \"Banco Santander\",\n            \"country\": \"cl\"\n          }\n        },\n        \"sender_account\": null,\n        \"comment\": null\n    },\n    {\n        \"id\": \"mov_nMNejK7BT8oGbvO4\",\n        \"object\": \"movement\",\n        \"amount\": 6500,\n        \"post_date\": \"2020-03-23T00:00:00.000Z\",\n        \"description\": \"Traspaso De:Valeria\",\n        \"transaction_date\": \"2020-03-21T22:08:26.000Z\",\n        \"currency\": \"CLP\",\n        \"type\": \"transfer\",\n        \"recipient_account\": null,\n        \"sender_account\": {\n          \"holder_id\": \"764407421\",\n          \"holder_name\": \"Valeria Perez\",\n          \"number\": \"690000234\",\n          \"institution\": {\n            \"id\": \"cl_banco_estado\",\n            \"name\": \"Banco Estado\",\n            \"country\": \"cl\"\n          }\n        },\n        \"comment\": \"Pago factura 203\"\n    }\n]"
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: mov_BO381oEATXonG6bj
                    object:
                      type: string
                      example: movement
                    amount:
                      type: integer
                      example: -1717
                      default: 0
                    post_date:
                      type: string
                      example: '2020-04-06T00:00:00.000Z'
                    description:
                      type: string
                      example: Cargo Seguro Proteccion Bancaria
                    transaction_date:
                      type: string
                      example: '2020-04-04T02:19:23.000Z'
                    currency:
                      type: string
                      example: CLP
                    type:
                      type: string
                      example: other
                    pending:
                      type: boolean
                      example: false
                      default: true
                    recipient_account: {}
                    sender_account: {}
                    comment: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````